package com.qmth.teachcloud.cas.mq.gdpu.bean;

import com.alibaba.fastjson.JSONArray;

public class ToReadInfoDTO {
    /**
     * 传阅人列表
     */
    private JSONArray toReadUser;
    /**
     * 唯一标识
     */
    private String orunId;
    /**
     * 节点id
     * RemarkInfoDTO 类
     */
    private String nodeId;
    /**
     * 节点的地址，当每个节点都有独立的链接时使用改字段，为空时取主流程的地址
     */
    private String url;
    /**
     * 移动端的地址，当每个节点都有独立的链接时使用改字段，为空时取节点的地址
     */
    private String mobileUrl;
    /**
     * 节点名称
     */
    private String nodeName;
    /**
     * 待阅截止时间
     */
    private String toReadNodeEndTime;

    public JSONArray getToReadUser() {
        return toReadUser;
    }

    public void setToReadUser(JSONArray toReadUser) {
        this.toReadUser = toReadUser;
    }

    public String getOrunId() {
        return orunId;
    }

    public void setOrunId(String orunId) {
        this.orunId = orunId;
    }

    public String getNodeId() {
        return nodeId;
    }

    public void setNodeId(String nodeId) {
        this.nodeId = nodeId;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getMobileUrl() {
        return mobileUrl;
    }

    public void setMobileUrl(String mobileUrl) {
        this.mobileUrl = mobileUrl;
    }

    public String getNodeName() {
        return nodeName;
    }

    public void setNodeName(String nodeName) {
        this.nodeName = nodeName;
    }

    public String getToReadNodeEndTime() {
        return toReadNodeEndTime;
    }

    public void setToReadNodeEndTime(String toReadNodeEndTime) {
        this.toReadNodeEndTime = toReadNodeEndTime;
    }
}